<?php
 


class Limex_Advr_Block_Adminhtml_Block_Grid_Renderer_Action
    extends Mage_Adminhtml_Block_Widget_Grid_Column_Renderer_Text
{
    public function render(Varien_Object $row)
    {
        $actions = $this->getColumn()->getActions();
        if (empty($actions) || !is_array($actions)) {
            return '&nbsp;';
        }

        $html = array();

        foreach ($actions as $action) {
            if ( is_array($action) ) {
                if ($link = $this->_toLinkHtml($action, $row)) {
                    $html[] = $link;
                }
            }
        }

        return implode('&nbsp;|&nbsp;', $html);
    }

    protected function _toLinkHtml($action, $row)
    {
        $actionAttributes = new Varien_Object();

        $url = call_user_func($action['callback'], $row);

        if ($url) {
            return '<a href="'.$url.'">'.$action['caption'].'</a>';
        }
    }
}