<?php
 


class Limex_Advr_Model_System_Config_Source_CustomerAttribute extends Varien_Object
{
    public function toOptionArray()
    {
        $values = array();

        foreach($this->_getCollection() as $attr) {
            if ($attr->getFrontendLabel() && $attr->getAttributeCode()) {
                $values[] = array(
                    'value' => $attr->getAttributeCode(),
                    'label' => $attr->getFrontendLabel(),
                );
            }
        }

        return $values;
    }

    public function toOptionHash()
    {
        $values = array();

        foreach($this->_getCollection() as $attr) {
            if ($attr->getFrontendLabel() && $attr->getAttributeCode()) {
                $values[$attr->getAttributeCode()] = $attr->getFrontendLabel();
            }
        }

        return $values;
    }

    protected function _getCollection()
    {
        return Mage::getModel('customer/customer')->getAttributes();
    }
}